// ELEMENT.locale(ELEMENT.lang.en)

var app = new Vue({
  el: '#app',
  data: function() {
    return {
      patterns: [
        {
          label: 'Standard',
          value: 'Standard',
        },
        {
          label: 'Herringbone',
          value: 'Herringbone',
        },
        {
          label: 'Chevron',
          value: 'Chevron',
        },
        {
          label: 'Basket Weave',
          value: 'Basket Weave',
        },
        {
          label: 'Cubic',
          value: 'Cubic',
        },
        {
          label: 'Hexagon',
          value: 'Hexagon',
        }
      ],
      activePattern: 'Standard',
      pattern: null,
      material: {},
    }
  },
  methods: {
    controlChangeValue: function (c) {
      sketchup.controlChangeValue(c)
    },
    redraw: function (c) {
      sketchup.redraw(this.material)
    },
  },
  computed:{
  },
  mounted: function() {
    sketchup.ready(window.outerWidth, window.outerHeight);
  },
})

function updatePattern(pattern) {
  app.pattern = pattern;
}

function updateData(material) {
  app.material = material;
}